获取首选项显示对象。 支持的平台:仅窗口 言论该对象包含存储在注册表中的“选项”对话框中“显示”选项卡中的所有选项。与图形一起存储的所有选项都可以在对象上找到。PreferencesDisplayDatabasePreferences 例子工 务 局: Sub Example_Display() ' This example obtains a reference to the Display Preferences object ' from the Application Preferences object, and reads one of the Display ' preferences Dim ACADPref As AcadPreferencesDisplay ' Obtain a reference to the Display Preferences object Set ACADPref = ThisDrawing.Application.Preferences.Display MsgBox "We now have access to the properties and methods of the Display Preferences object!" MsgBox "The Display preference CursorSize is set to: " & ACADPref.CursorSize End Sub Visual LISP: (vl-load-com) (defun c:Example_Display() ;; This example obtains a reference to the Display Preferences object ;; from the Application Preferences object, and reads one of the Display ;; preferences (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Obtain a reference to the Display Preferences object (setq ACADPref (vla-get-Display preferences)) (alert "We now have access to the properties and methods of the Display Preferences object!") (alert (strcat "The Display preference CursorSize is set to: " (itoa (vla-get-CursorSize ACADPref)))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:40
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.